Bug 188283 - Kernel lockup following install, eth0 sky2 not responding after few minutes
Kernel lockup following install, eth0 sky2 not responding after few minutes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 12:48 EDT by Wade Hampton
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 17:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Hampton 2006-04-07 12:48:24 EDT
Description of problem:

Loaded FC5 on a new Gateway WX6421 with Marvel chipset for NIC.  System booted
and X started, but hung a few minutes later causing a hard reboot.  Successfully
applied updates as of about 4/4/06 including kernel 2.6.16-1.2080.  No further
hard crashes but now network drops after a few minutes.  Shutdown of network and
removal/reinstall of sky2 module will bring network back, but only for a few
minutes.

Version-Release number of selected component (if applicable):

Computer:  Gateway WX6421, AMD x86_64, Marvel NIC

How reproducible:

Boot computer and try to use the network.

Steps to Reproduce:
1.  Start computer and use network (10/100T) at 10T mode
2.  Access a page via firefox or start a yum update (network traffic)
3.  Network drops (but no indication in /var/log/messages)
  
Actual results:

Network stops working

Expected results:

Functional networking.

Additional info:  Can be supplied if requested
Comment 1 Rene van Paassen 2006-04-11 16:52:59 EDT
Have a similar problem with a Sony VAIO VGN-SZ
Also a Marvell chip. With kernel 2.6.16-1.2080 (smp) the network hangs under
network load (ssh logins worked, but an rsync or ftp stop almost immediately). 

Reverted to the 2.6.15 kernel and the problem was gone. 
Comment 2 Rene van Paassen 2006-05-18 05:20:33 EDT
with current kernel versions (2.6.16-1.2111_FC5smp), problem is gone
Comment 3 Ken Hall 2006-06-07 13:08:51 EDT
I'm still seeing this on 2.6.16-1.2122, with an extra wrinkle:  The performance 
when the interface is heavily loaded is very poor right up until it fails 
entirely, as mentioned above.  Running any graphical client (such as printtool) 
to a remote X-server is sufficient to make it fail (although xterm works 
fine).  I see the same thing with heavy nfs traffic when copying files.  
Running ifdown/ifup restores the interface to working.

This is a Toshiba Satellite M45-S2692.  Windows XP on the same laptop does not 
fail running remote GUI and file transfers to external machines, so the 
hardware seems to be all right.
Comment 4 Ken Hall 2006-06-26 10:53:06 EDT
Still failing on 2.6.17-1.2139_FC5.  See config above.
Comment 5 Richard Harman 2006-09-28 06:53:35 EDT
I also have the same problem -- previously I used the sk98lin driver without any
problems.  Why isn't that driver available from stock fedora kernels?
Comment 6 Jarod Wilson 2006-09-28 10:02:42 EDT
(In reply to comment #5)
> I also have the same problem -- previously I used the sk98lin driver without any
> problems.  Why isn't that driver available from stock fedora kernels?

Because it isn't part of the upstream kernel anymore. It was nuked upstream, in
favor of the skge and sky2 drivers.
Comment 7 Richard Harman 2006-09-29 02:37:58 EDT
What kernel is "upstream" ?  Both vanilla linus 2.6.18 and the
kernel-2.6.17-1.2187_FC5.src.rpm kernel source package still contains sk98lin
(it's just turned off via config in the .config in the src rpm).  

sky2 is tagged experimental in kconfig, .. I'm more inclinded to stick with sk98lin.
Comment 8 Dave Jones 2006-10-16 20:05:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Ken Hall 2006-10-27 15:42:37 EDT
Failed on 2.6.18-1.2200, and is also still failing on FC6 at 2.6.18-1.2798.  
See config under my post above.
Comment 10 John W. Linville 2006-11-21 10:47:52 EST
The sk98lin driver has been abandoned upstream by Marvell/SysKonnect for quite 
some time, and it's internals are so nasty that most upstream developers don't 
want to touch it.  So, it only gets changed upstream when someone changes "all 
occurences of X" throughout the kernel for whatever reason.  The skge and sky2 
drivers are the new alternatives, depending on which exact hardware you have.

Please try the fedora-netdev kernels:

   http://people.redhat.com/linville/kernels/fedora-netdev/

Do the skge/sky2 driver versions in those kernels work any better for you?
Comment 11 John W. Linville 2007-08-07 17:23:05 EDT
Closed due to lack of response...please reopen if/when the requested info 
becomes available.

Note You need to log in before you can comment on or make changes to this bug.